<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md)

## NetscriptPort interface

Object representing a port. A port is a serialized queue.

**Signature:**

```typescript
export interface NetscriptPort 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [clear()](./bitburner.netscriptport.clear.md) | Empties all data from the port. |
|  [empty()](./bitburner.netscriptport.empty.md) | Check if the port is empty. |
|  [full()](./bitburner.netscriptport.full.md) | Check if the port is full. |
|  [nextWrite()](./bitburner.netscriptport.nextwrite.md) | Waits until the port is written to. |
|  [peek()](./bitburner.netscriptport.peek.md) | Retrieve the first element from the port without removing it. |
|  [read()](./bitburner.netscriptport.read.md) | Shift an element out of the port. |
|  [tryWrite(value)](./bitburner.netscriptport.trywrite.md) | Attempt to write data to the port. |
|  [write(value)](./bitburner.netscriptport.write.md) | Write data to a port. |

